package com.simpledbbook.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class AddTask extends BaseServlet {
  private static final long serialVersionUID = 1L;
  private static final String TASK_HTML = 
    "<li><span id='%s'> %s </span></li>";

  protected void doGet(HttpServletRequest request,
      HttpServletResponse response) throws ServletException,
      IOException {

    String session = getSessionCookie(request);
    String user = getUserCookie(request);
    String date = request.getParameter("date");
    String task = request.getParameter("task");
    String taskId = app.addTask(user, date, task, session);
    String result = String.format(TASK_HTML, taskId, task);
    response.getWriter().write(result);
  }
}
